Bug 257281 - x11-themes/yaru-gtk-themes: Update to 21.10.1
Summary: x11-themes/yaru-gtk-themes: Update to 21.10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://github.com/ubuntu/yaru/releas...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-19 18:24 UTC by Alexander Vereeken
Modified: 2021-07-21 02:35 UTC (History)
1 user (show)

See Also:


Attachments
yaru-gtk-themes-21.10.1.diff (24.59 KB, patch)
2021-07-19 18:24 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff
yaru-gtk-themes-21.10.1-V2.diff (25.51 KB, patch)
2021-07-20 15:09 UTC, Alexander Vereeken
Alexander88207: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Vereeken 2021-07-19 18:24:26 UTC
Created attachment 226551 [details]
yaru-gtk-themes-21.10.1.diff

Hello,

this is an update to 21.10.1.

The two notable changes are that this updates adds support for GTK 4 and Metacity.

Thank you in advance!
Comment 1 Guangyuan Yang freebsd_committer 2021-07-19 23:45:30 UTC
Hi! Poudriere builds seem to fail for me on both 13.0 and 12.2, can you check?

Running custom install script '/wrkdirs/usr/ports/x11-themes/yaru-gtk-themes/work/yaru-21.10.1/metacity/src/post_install.py share Yaru default'
--- stdout ---

--- stderr ---
env: python3: No such file or directory

FAILED: install script '/wrkdirs/usr/ports/x11-themes/yaru-gtk-themes/work/yaru-21.10.1/metacity/src/post_install.py share Yaru default' exit code 127, stopped
FAILED: meson-install 
/usr/local/bin/meson install --no-rebuild
ninja: build stopped: subcommand failed.
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-themes/yaru-gtk-themes
build of x11-themes/yaru-gtk-themes | yaru-gtk-themes-21.10.1 ended at Mon Jul 19 23:44:17 UTC 2021
Comment 2 Alexander Vereeken 2021-07-20 15:09:40 UTC
Created attachment 226570 [details]
yaru-gtk-themes-21.10.1-V2.diff

Hello,

thank you for the report and sorry for the inconvenience.
Comment 3 commit-hook freebsd_committer 2021-07-21 02:34:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=057725e8039c51f8fe14799a49ad67ee5b2167a6

commit 057725e8039c51f8fe14799a49ad67ee5b2167a6
Author:     Alexander Vereeken <Alexander88207@protonmail.com>
AuthorDate: 2021-07-21 02:32:24 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-07-21 02:32:24 +0000

    x11-themes/yaru-gtk-themes: Update to 21.10.1

    Changelog:      https://github.com/ubuntu/yaru/releases/tag/21.10.1

    PR:             257281
    Approved by:    lwhsu (mentor, implicit)

 x11-themes/yaru-gtk-themes/Makefile  |  14 +-
 x11-themes/yaru-gtk-themes/distinfo  |   6 +-
 x11-themes/yaru-gtk-themes/pkg-descr |   1 +
 x11-themes/yaru-gtk-themes/pkg-plist | 354 +++++++++++++----------------------
 4 files changed, 144 insertions(+), 231 deletions(-)
Comment 4 Guangyuan Yang freebsd_committer 2021-07-21 02:35:29 UTC
Committed, thanks!